package intrinsic.flash.desktop;

public class DragManager extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */

	/** Class Accessors */
	public static intrinsic.flash.display.DisplayObject dragInitiator;
	public static String dropAction;
	public static boolean isDragging;

	/** Class variables */

/** Contructors */
public DragManager() {
}


/** Static Methods */
public static native void doJSDrag(intrinsic.flash.display.DisplayObject arg0, intrinsic.flash.desktop.JSClipboard arg1);
public static native void doJSDrag(intrinsic.flash.display.DisplayObject arg0, intrinsic.flash.desktop.JSClipboard arg1, intrinsic.flash.display.BitmapData arg2);
public static native void doJSDrag(intrinsic.flash.display.DisplayObject arg0, intrinsic.flash.desktop.JSClipboard arg1, intrinsic.flash.display.BitmapData arg2, double arg3);
public static native void doJSDrag(intrinsic.flash.display.DisplayObject arg0, intrinsic.flash.desktop.JSClipboard arg1, intrinsic.flash.display.BitmapData arg2, double arg3, double arg4);
public static native void acceptDragDrop(intrinsic.flash.display.DisplayObject arg0);
public static native void doDrag(intrinsic.flash.display.DisplayObject arg0, intrinsic.flash.desktop.Clipboard arg1);
public static native void doDrag(intrinsic.flash.display.DisplayObject arg0, intrinsic.flash.desktop.Clipboard arg1, intrinsic.flash.display.BitmapData arg2);
public static native void doDrag(intrinsic.flash.display.DisplayObject arg0, intrinsic.flash.desktop.Clipboard arg1, intrinsic.flash.display.BitmapData arg2, intrinsic.flash.geom.Point arg3);
public static native void doDrag(intrinsic.flash.display.DisplayObject arg0, intrinsic.flash.desktop.Clipboard arg1, intrinsic.flash.display.BitmapData arg2, intrinsic.flash.geom.Point arg3, intrinsic.flash.desktop.DragOptions arg4);

/** Methods */

}
